Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QFileDialog.ViewMode

    java.lang.Object
      java.lang.Enum<QFileDialog.ViewMode>
          com.trolltech.qt.gui.QFileDialog.ViewMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QFileDialog.ViewMode>

Enclosing class:
  QFileDialog

    public static enum QFileDialog.ViewMode

extends java.lang.Enum<QFileDialog.ViewMode>
implements QtEnumerator

This enum describes the view mode of the file dialog; i.e. what information about each file will be displayed.

See Also:
  `setViewMode`

Enum Constant Summary
`Detail` Displays an icon, a name, and details for each item in the directory.
`List` Displays only an icon and a name for each item in the directory.

Method Summary
`static QFileDialog.ViewMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFileDialog.ViewMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QFileDialog.ViewMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Detail

    public static final QFileDialog.ViewMode Detail

  Displays an icon, a name, and details for each item in the directory.

### List

    public static final QFileDialog.ViewMode List

  Displays only an icon and a name for each item in the directory.

Method Detail

### values

    public static final QFileDialog.ViewMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QFileDialog.ViewMode c : QFileDialog.ViewMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QFileDialog.ViewMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFileDialog.ViewMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD